<script language=javascript>
<!--
function qqlevel(exp) {
	var level,star,moon,sun,upexp,nextlevel,i,qqlevel;
	qqlevel="";
	level=Math.floor(Math.abs(10-Math.sqrt(100+8*exp,2))/4);
	nextlevel=level+1;
	upexp=((nextlevel*nextlevel*2+10*nextlevel)-exp)*60;
	if (level>63) {
		level=64;
		upexp="MAX";
	}
	if(level==0) {
		qqlevel = "<font color=blue>还需努力</font>";
	} else {
		sun=Math.floor(level/16);
		if(sun>0) {
			for(i=0;i<sun;i++) {
				qqlevel += "<img src=../images/sun.gif>";
			}
		}
		moon=Math.floor(level/4)%4;
		if(moon>0) {
			for(i=0;i<moon;i++) {
				qqlevel += "<img src=../images/moon.gif>";
			}
		}
		star=level%4;
		if(star>0) {
			for(i=0;i<star;i++) {
				qqlevel += "<img src=../images/star.gif>";
			}
		}
	}
	if(sun+moon+star>6) //此处的6根据自己的论坛个人信息栏的宽度决定
		qqlevel += "<br>";
	return "<span title='等级："+ level + " 目前经验：" + exp*60 + " 升级剩余经验：" + upexp + "'>" + qqlevel + "</span>";
}
//-->
</script>